## wolf4sdl 20230117

=== Makefile ===
--- 
+++ 
@@ -12,23 +12,19 @@
 INSTALL_DATA    ?= $(INSTALL) -m 444
 
 
-SDL_CONFIG  ?= sdl-config
+SDL_CONFIG  ?= pkg-config sdl2 SDL2_mixer
 CFLAGS_SDL  ?= $(shell $(SDL_CONFIG) --cflags)
 LDFLAGS_SDL ?= $(shell $(SDL_CONFIG) --libs)
 
 
 CFLAGS += $(CFLAGS_SDL)
 
-#CFLAGS += -Wall
+CFLAGS += -Wall
 #CFLAGS += -W
 CFLAGS += -Wpointer-arith
 CFLAGS += -Wreturn-type
 CFLAGS += -Wwrite-strings
 CFLAGS += -Wcast-align
-
-ifdef GPL
-    CFLAGS += -DUSE_GPL
-endif
 
 
 CCFLAGS += $(CFLAGS)
@@ -40,17 +36,12 @@
 CXXFLAGS += $(CFLAGS)
 
 LDFLAGS += $(LDFLAGS_SDL)
-LDFLAGS += -lSDL_mixer
 ifneq (,$(findstring MINGW,$(shell uname -s)))
 LDFLAGS += -static-libgcc
 endif
 
 SRCS :=
-ifndef GPL
-    SRCS += mame/fmopl.cpp
-else
-    SRCS += dosbox/dbopl.cpp
-endif
+SRCS += dosbox/dbopl.cpp
 SRCS += id_ca.cpp
 SRCS += id_in.cpp
 SRCS += id_pm.cpp
@@ -75,6 +66,7 @@
 SRCS += wl_play.cpp
 SRCS += wl_state.cpp
 SRCS += wl_text.cpp
+SRCS += states.cpp
 
 DEPS = $(filter %.d, $(SRCS:.c=.d) $(SRCS:.cpp=.d))
 OBJS = $(filter %.o, $(SRCS:.c=.o) $(SRCS:.cpp=.o))
