=== debian/changelog ===
wolf4sdl (20230117-1) unstable; urgency=medium

  * Update debian/watch file.
  * Switch to my own, still unnamed, SDL2-based fork
    (Fixes: #1038493).
  * New upstream version 20230117.
  * Remove debian/gbp.conf file.
  * Patches:
    + Refresh 02-enable-shading.patch and 10-datadir.patch.
    + Remove 21-compiler-warnings.patch and 31-pc-speaker.patch,
      applied upstream.
    + Remove 40-novert.patch, set vertical mouse sensitivity
      to 0 instead.
    + Remove 41-crosshair.patch, not needed anymore.
    + Remove 42-mousewheel.patch, applied upstream.
    + Remove 43-autorun.patch, there is now a menu switch
      for Always Run.
    + Remove 44-autostrafe.patch, there are now separate
      key bindings for strafe left/right.
  * Bump debhelper-compat to 13.
  * Bump Build-Depends to SDL2 libraries.
  * Rules-Requires-Root: no.
  * Update Debian packaging copyright and email address.
  * Update man/wolf4sdl.6 manpage.
  * Remove debian/source/local-options file.
  * Remove the PNG format icon, we have one in SVG format.
  * Remove -fno-toplevel-reorder from CFLAGS
    and -Wl,--as-needed from LDFLAGS, not needed anymore.
    + Do not export GPL=1, not needed anymore.
  * Enable hardening flags.
  * Remove debian/wolf4sdl.preinst, the transition it handles has even
    already happened in old-old-stable.
  * Bump Standards-Version to 4.6.2.
  * Run 'wrap-and-sort -bast'.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 30 Jun 2023 09:36:33 +0200

wolf4sdl (1.7+svn262+dfsg1-5) unstable; urgency=medium

  * Team upload
  * Set Priority to optional
  * Update Vcs-* for move to salsa.debian.org
  * Remove traditional Debian menu file (Policy §9.6)

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Apr 2018 10:40:39 +0100
