=== debian/control ===
--- 
+++ 
@@ -1,21 +1,26 @@
 Source: wolf4sdl
 Section: contrib/games
-Priority: extra
+Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Fabian Greffrath <fabian+debian@greffrath.com>
-Build-Depends: debhelper (>= 9),
- libsdl1.2-dev,
- libsdl-mixer1.2-dev
-Standards-Version: 3.9.2
-Homepage: http://www.chaos-software.de.vu/
-Vcs-Git: git://anonscm.debian.org/pkg-games/wolf4sdl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/wolf4sdl.git;a=summary
+Uploaders:
+ Fabian Greffrath <fabian@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ libsdl2-dev,
+ libsdl2-mixer-dev,
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: https://github.com/fabiangreffrath/wolf4sdl
+Vcs-Git: https://salsa.debian.org/games-team/wolf4sdl.git
+Vcs-Browser: https://salsa.debian.org/games-team/wolf4sdl
 
 Package: wolf4sdl
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
  ${misc:Depends},
- wolf3d-data | game-data-packager (>= 27)
+ ${shlibs:Depends},
+Recommends:
+ game-data-packager,
 Description: SDL-Port of Wolfenstein 3-D and Spear of Destiny
  Maybe it was the fact that people got to blow away Nazis. Maybe it was the
  sheer challenge of it all. For whatever reason, Wolfenstein 3-D and Spear of
