## wolf4sdl 20251124

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 endif
 
 SRCS :=
-SRCS += dosbox/dbopl.cpp
+SRCS += opl3.c
 SRCS += id_ca.cpp
 SRCS += id_in.cpp
 SRCS += id_pm.cpp
