=== debian/changelog ===
wolf4sdl (20251124-1) unstable; urgency=medium

  [ Wakko Warner ]
  * wolf4sdl script uses return when it should use exit
    (Closes: #1100359)

  [ Fabian Greffrath ]
  * Update debian/watch to version 5
  * New upstream version 20251124
  * Refresh all patches
  * Update debian/copyright
  * Bump Standards-Version to 4.7.2
  * Remove redundant RRR: no

 -- Fabian Greffrath <fabian@debian.org>  Tue, 25 Nov 2025 15:20:38 +0100
