=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
  debhelper-compat (= 13),
  libsdl2-dev,
  libsdl2-mixer-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/fabiangreffrath/wolf4sdl
 Vcs-Git: https://salsa.debian.org/games-team/wolf4sdl.git
 Vcs-Browser: https://salsa.debian.org/games-team/wolf4sdl
